if (!defined &_SYMS_H) {
    eval 'sub _SYMS_H {1;}';
    require 'storclass.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub SYMNMLEN {8;}';
    eval 'sub FILNMLEN {14;}';
    eval 'sub DIMNUM {4;}';
    eval 'sub n_name { &_n. &_n_name;}';
    eval 'sub n_nptr { &_n. &_n_nptr[1];}';
    eval 'sub n_zeroes { &_n. &_n_n. &_n_zeroes;}';
    eval 'sub n_offset { &_n. &_n_n. &_n_offset;}';
    eval 'sub N_UNDEF {0;}';
    eval 'sub N_ABS {-1;}';
    eval 'sub N_DEBUG {-2;}';
    eval 'sub N_TV {-3;}';
    eval 'sub P_TV {-4;}';
    eval 'sub _EF {".ef";}';
    eval 'sub T_NULL {0;}';
    eval 'sub T_ARG {1;}';
    eval 'sub T_CHAR {2;}';
    eval 'sub T_SHORT {3;}';
    eval 'sub T_INT {4;}';
    eval 'sub T_LONG {5;}';
    eval 'sub T_FLOAT {6;}';
    eval 'sub T_DOUBLE {7;}';
    eval 'sub T_STRUCT {8;}';
    eval 'sub T_UNION {9;}';
    eval 'sub T_ENUM {10;}';
    eval 'sub T_MOE {11;}';
    eval 'sub T_UCHAR {12;}';
    eval 'sub T_USHORT {13;}';
    eval 'sub T_UINT {14;}';
    eval 'sub T_ULONG {15;}';
    eval 'sub DT_NON {0;}';
    eval 'sub DT_PTR {1;}';
    eval 'sub DT_FCN {2;}';
    eval 'sub DT_ARY {3;}';
    eval 'sub N_BTMASK {017;}';
    eval 'sub N_TMASK {060;}';
    eval 'sub N_TMASK1 {0300;}';
    eval 'sub N_TMASK2 {0360;}';
    eval 'sub N_BTSHFT {4;}';
    eval 'sub N_TSHIFT {2;}';
    eval 'sub BTYPE {
        local($x) = @_;
        eval "(($x) &  &N_BTMASK)";
    }';
    eval 'sub ISPTR {
        local($x) = @_;
        eval "((($x) &  &N_TMASK) == ( &DT_PTR <<  &N_BTSHFT))";
    }';
    eval 'sub ISFCN {
        local($x) = @_;
        eval "((($x) &  &N_TMASK) == ( &DT_FCN <<  &N_BTSHFT))";
    }';
    eval 'sub ISARY {
        local($x) = @_;
        eval "((($x) &  &N_TMASK) == ( &DT_ARY <<  &N_BTSHFT))";
    }';
    eval 'sub ISTAG {
        local($x) = @_;
        eval "(($x) ==  &C_STRTAG || ($x) ==  &C_UNTAG || ($x) ==  &C_ENTAG)";
    }';
    eval 'sub INCREF {
        local($x) = @_;
        eval "(((($x)&~ &N_BTMASK)<< &N_TSHIFT)|( &DT_PTR<< &N_BTSHFT)|($x& &N_BTMASK))";
    }';
    eval 'sub DECREF {
        local($x) = @_;
        eval "(((($x)>> &N_TSHIFT)&~ &N_BTMASK)|(($x)& &N_BTMASK))";
    }';
    eval 'sub SYMENT {struct syment;}';
    eval 'sub SYMESZ {18;}';
    eval 'sub AUXENT { &union  &auxent;}';
    eval 'sub AUXESZ {18;}';
    eval 'sub _ETEXT {"etext";}';
    eval 'sub _EDATA {"edata";}';
    eval 'sub _END {"end";}';
    eval 'sub _START {"_start";}';
    if (defined &__cplusplus) {
    }
}
1;
