if (!defined &_SYS_SBPRO_H) {
    eval 'sub _SYS_SBPRO_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub DSP_RESET {0x06;}';
    eval 'sub DSP_RDDATA {0x0a;}';
    eval 'sub DSP_WRDATA_CMD {0x0c;}';
    eval 'sub DSP_WRSTATUS {0x0c;}';
    eval 'sub DSP_DATAAVAIL {0x0e;}';
    eval 'sub DSP_DMA16_ACK {0x0f;}';
    eval 'sub MIXER_ADDR {0x04;}';
    eval 'sub MIXER_DATA {0x05;}';
    eval 'sub CDROM_DATA {0x10;}';
    eval 'sub CDROM_COMMAND {0x10;}';
    eval 'sub CDROM_STATUS {0x11;}';
    eval 'sub CDROM_RESET {0x12;}';
    eval 'sub CDROM_ENABLE {0x13;}';
    eval 'sub FM_STATUS_L {0x00;}';
    eval 'sub FM_ADDR_L {0x00;}';
    eval 'sub FM_DATA_L {0x01;}';
    eval 'sub FM_STATUS_R {0x02;}';
    eval 'sub FM_ADDR_R {0x02;}';
    eval 'sub FM_DATA_R {0x03;}';
    eval 'sub FM_STATUS {0x08;}';
    eval 'sub FM_REGISTER {0x08;}';
    eval 'sub FM_DATA {0x09;}';
    eval 'sub RESET_CMD {0x01;}';
    eval 'sub DATA_READY {0x80;}';
    eval 'sub WR_BUSY {0x80;}';
    eval 'sub READY {0xAA;}';
    eval 'sub DAC_DIRECT {0x10;}';
    eval 'sub DAC_DMA_8 {0x14;}';
    eval 'sub DAC_DMA_2 {0x16;}';
    eval 'sub DAC_DMA_2_REF {0x17;}';
    eval 'sub DAC_DMA_8_AI {0x1C;}';
    eval 'sub ADC_DIRECT {0x20;}';
    eval 'sub ADC_DMA {0x24;}';
    eval 'sub ADC_DMA_AI {0x2C;}';
    eval 'sub MIDI_READ_POLL {0x30;}';
    eval 'sub MIDI_READ_INTR {0x31;}';
    eval 'sub MIDI_UART_POLL {0x34;}';
    eval 'sub MIDI_UART_INTR {0x35;}';
    eval 'sub MIDI_WRITE_POLL {0x38;}';
    eval 'sub SET_CONSTANT {0x40;}';
    eval 'sub SET_SRATE_OUTPUT {0x41;}';
    eval 'sub SET_SRATE_INPUT {0x42;}';
    eval 'sub SET_BLOCK_SIZE {0x48;}';
    eval 'sub DAC_DMA_4 {0x74;}';
    eval 'sub DAC_DMA_4_REF {0x75;}';
    eval 'sub DAC_DMA_26 {0x76;}';
    eval 'sub DAC_DMA_26_REF {0x77;}';
    eval 'sub SILENCE_MODE {0x80;}';
    eval 'sub DAC_DMA_FAST_AI {0x90;}';
    eval 'sub DAC_DMA_FAST {0x91;}';
    eval 'sub ADC_DMA_FAST_AI {0x98;}';
    eval 'sub ADC_DMA_FAST {0x99;}';
    eval 'sub RECORD_MONO {0xA0;}';
    eval 'sub START_LEFT {0xA8;}';
    eval 'sub SB_DMA_16BIT {0xB0;}';
    eval 'sub SB_DMA_8BIT {0xC0;}';
    eval 'sub SB_DMA_D_to_A {0x00;}';
    eval 'sub SB_DMA_A_to_D {0x08;}';
    eval 'sub SB_DMA_AI {0x04;}';
    eval 'sub SB_DMA_FIFO {0x02;}';
    eval 'sub SB_8_SC_INPUT {( &SB_DMA_8BIT |  &SB_DMA_A_to_D);}';
    eval 'sub SB_16_SC_INPUT {( &SB_DMA_16BIT |  &SB_DMA_A_to_D);}';
    eval 'sub SB_8_AI_INPUT {( &SB_DMA_8BIT |  &SB_DMA_A_to_D |  &SB_DMA_AI |  &SB_DMA_FIFO);}';
    eval 'sub SB_16_AI_INPUT {( &SB_DMA_16BIT |  &SB_DMA_A_to_D |  &SB_DMA_AI |  &SB_DMA_FIFO);}';
    eval 'sub SB_8_SC_OUTPUT {( &SB_DMA_8BIT |  &SB_DMA_D_to_A);}';
    eval 'sub SB_16_SC_OUTPUT {( &SB_DMA_16BIT |  &SB_DMA_D_to_A);}';
    eval 'sub SB_8_AI_OUTPUT {( &SB_DMA_8BIT |  &SB_DMA_D_to_A |  &SB_DMA_AI |  &SB_DMA_FIFO);}';
    eval 'sub SB_16_AI_OUTPUT {( &SB_DMA_16BIT |  &SB_DMA_D_to_A |  &SB_DMA_AI |  &SB_DMA_FIFO);}';
    eval 'sub SB_8_MONO {0x00;}';
    eval 'sub SB_8_ST {0x20;}';
    eval 'sub SB_16_MONO {0x10;}';
    eval 'sub SB_16_ST {0x30;}';
    eval 'sub HALT_DMA {0xD0;}';
    eval 'sub SPEAKER_ON {0xD1;}';
    eval 'sub SPEAKER_OFF {0xD3;}';
    eval 'sub CONTINUE_DMA {0xD4;}';
    eval 'sub HALT_DMA16 {0xD5;}';
    eval 'sub CONTINUE_DMA16 {0xD6;}';
    eval 'sub GET_SPEAKER {0xD8;}';
    eval 'sub EXIT_AUTO_DMA16 {0xD9;}';
    eval 'sub EXIT_AUTO_DMA8 {0xDA;}';
    eval 'sub GET_DSP_VER {0xE1;}';
    eval 'sub MIXER_RESET {0x00;}';
    eval 'sub MIXER_VOICE {0x04;}';
    eval 'sub MIXER_MIC {0x0A;}';
    eval 'sub MIXER_INPUT {0x0C;}';
    eval 'sub MIXER_OUTPUT {0x0E;}';
    eval 'sub MIXER_MASTER {0x22;}';
    eval 'sub MIXER_FM {0x26;}';
    eval 'sub MIXER_CD {0x28;}';
    eval 'sub MIXER_LINE {0x2E;}';
    eval 'sub MIXER_16_LEFT_MASTER {0x30;}';
    eval 'sub MIXER_16_RIGHT_MASTER {0x31;}';
    eval 'sub MIXER_16_LEFT_VOICE {0x32;}';
    eval 'sub MIXER_16_RIGHT_VOICE {0x33;}';
    eval 'sub MIXER_16_LEFT_FM {0x34;}';
    eval 'sub MIXER_16_RIGHT_FM {0x35;}';
    eval 'sub MIXER_16_LEFT_CD {0x36;}';
    eval 'sub MIXER_16_RIGHT_CD {0x37;}';
    eval 'sub MIXER_16_LEFT_LINE {0x38;}';
    eval 'sub MIXER_16_RIGHT_LINE {0x39;}';
    eval 'sub MIXER_16_MIC {0x3a;}';
    eval 'sub MIXER_16_PCSPEAKER {0x3B;}';
    eval 'sub MIXER_16_OUTPUT {0x3C;}';
    eval 'sub MIXER_16_INPUT_LEFT {0x3D;}';
    eval 'sub MIXER_16_INPUT_RIGHT {0x3E;}';
    eval 'sub MIXER_16_INPUT_LEFT_GAIN {0x3F;}';
    eval 'sub MIXER_16_INPUT_RIGHT_GAIN {0x40;}';
    eval 'sub MIXER_16_OUTPUT_LEFT_GAIN {0x41;}';
    eval 'sub MIXER_16_OUTPUT_RIGHT_GAIN {0x42;}';
    eval 'sub MIXER_16_AGC {0x43;}';
    eval 'sub MIXER_16_LEFT_TREBLE {0x44;}';
    eval 'sub MIXER_16_RIGHT_TREBLE {0x45;}';
    eval 'sub MIXER_16_LEFT_BASS {0x46;}';
    eval 'sub MIXER_16_RIGHT_BASS {0x47;}';
    eval 'sub MIXER_IRQ {0x80;}';
    eval 'sub MIXER_DMA {0x81;}';
    eval 'sub MIXER_ISR {0x82;}';
    eval 'sub INPUT_16_MIC {1;}';
    eval 'sub INPUT_16_RIGHT_CD {2;}';
    eval 'sub INPUT_16_LEFT_CD {4;}';
    eval 'sub INPUT_16_RIGHT_LINE {8;}';
    eval 'sub INPUT_16_LEFT_LINE {16;}';
    eval 'sub OUTPUT_ALLOFF {0;}';
    eval 'sub OUTPUT_16_MIC {1;}';
    eval 'sub OUTPUT_16_RIGHT_CD {2;}';
    eval 'sub OUTPUT_16_LEFT_CD {4;}';
    eval 'sub OUTPUT_16_RIGHT_LINE {8;}';
    eval 'sub OUTPUT_16_LEFT_LINE {16;}';
    eval 'sub MIC {(0x00<<1);}';
    eval 'sub CD {(0x01<<1);}';
    eval 'sub MIC_2 {(0x02<<1);}';
    eval 'sub LINE {(0x03<<1);}';
    eval 'sub FLTR_LO {0x00;}';
    eval 'sub FLTR_HI {0x08;}';
    eval 'sub FLTR_NO {0x20;}';
    eval 'sub MAX_VOICE {0xff;}';
    eval 'sub VOICE_OFF {0x0;}';
    eval 'sub AUDIO_RESET { &_IO(ord(\'A\'), 9);}';
    eval 'sub SET_MASTER {128;}';
    eval 'sub DNFI {0x20;}';
    eval 'sub VSTC {0x02;}';
    eval 'sub DMA_CHAN_5 {0x20;}';
    eval 'sub DMA_CHAN_6 {0x40;}';
    eval 'sub DMA_CHAN_7 {0x80;}';
    eval 'sub DMA_CHAN_0 {0x01;}';
    eval 'sub DMA_CHAN_1 {0x02;}';
    eval 'sub DMA_CHAN_3 {0x08;}';
    eval 'sub IS_8DMA_MIDI {0x01;}';
    eval 'sub IS_16DMA {0x02;}';
    eval 'sub IS_MPU401 {0x04;}';
    eval 'sub TOP_LOW_SAMPLE_RATE {18000;}';
    eval 'sub TOP_MID_SAMPLE_RATE {36000;}';
    eval 'sub INTR_DONT_KNOW { &DDI_INTR_UNCLAIMED;}';
    eval 'sub AUDIO_IS_NOT_ACTIVE {0x00;}';
    eval 'sub AUDIO_IS_ACTIVE {0x01;}';
    eval 'sub INIT_AUDIO_GAIN {( &AUDIO_MAX_GAIN / 2);}';
    eval 'sub SB16_INIT_AUDIO_GAIN {(( &AUDIO_MAX_GAIN * 3) /4);}';
    eval 'sub SILENT_BYTE {0x80;}';
    if (defined &_KERNEL) {
	eval 'sub W_BUSY {0x0001;}';
	eval 'sub R_BUSY {0x0002;}';
	eval 'sub CLOSE_WAIT {0x0004;}';
	eval 'sub READING {0x0008;}';
	eval 'sub WRITING {0x0010;}';
	eval 'sub PAUSED_DMA {0x0020;}';
	eval 'sub ATTACH_COMPLETE {0x0040;}';
	eval 'sub SB16 {0x0080;}';
	eval 'sub PAUSED_DMA8 {0x0100;}';
	eval 'sub PAUSED_DMA16 {0x0200;}';
	eval 'sub AUTO_DMA {0x0400;}';
	eval 'sub ENDING {0x0800;}';
	eval 'sub START_STEREO {0x1000;}';
	eval 'sub GET_INT_PROP {
	    local($devi, $pname, $pval, $plen) = @_;
	    eval "( &ddi_prop_op( &DDI_DEV_T_ANY, ($devi),  &PROP_LEN_AND_VAL_BUF,  &DDI_PROP_DONTPASS, ($pname), ( &caddr_t)($pval), ($plen)))";
	}';
	eval 'sub SBEP_L0 {0;}';
	eval 'sub SBEP_L1 {1;}';
	eval 'sub SBEP_L2 {2;}';
	eval 'sub SBEP_L3 {3;}';
	eval 'sub SBEP_L4 {4;}';
	eval 'sub SBEP_L5 {5;}';
	eval 'sub SBEP_LMAX {5;}';
	if (defined &DEBUG) {
	    eval 'sub SBERRPRINT {
	        local($l, $m, $args) = @_;
	        eval "{  &if ( &sbdebug && ($l) >=  &sberrlevel && ((($m)& &sberrmask) || ($l) >=  &SBEP_L3))  &cmn_err $args;  &if ($l ==  &SBEP_L5) {  &cmn_err( &CE_WARN, \\"SBPRO_PANIC!\\");  &cmn_err $args;  &cmn_err( &CE_PANIC, \\"sbpro: This panic is sponsored by SBPRO!\\"); }}";
	    }';
	}
	else {
	    eval 'sub SBERRPRINT {
	        local($l, $m, $args) = @_;
	        eval "{ }";
	    }';
	}
	eval 'sub CHECK_IF_CONTROL {
	    local($device_format) = @_;
	    eval "{  &if (( &q ==  &info-> &ctlrdq) || ( &q ==  &info-> &ctlwrq)) {  &SBERRPRINT( &SBEP_L2,  &SBEM_SPRI, ( &CE_WARN, \\"sbpro_checkprinfo: %s cannot be changed on the \\" \\"Audio Control Device\\", $device_format));  &invalid++; }}";
	}';
	eval 'sub CHECK_CORRECT_SIDE {
	    local($device_format) = @_;
	    eval "{  &if (( &q ==  &info-> &wrq &&  &record_info)) {  &SBERRPRINT( &SBEP_L2,  &SBEM_SPRI, ( &CE_WARN, \\"sbpro_checkprinfo: Changing %s on Record side when \\" \\"open for Play\\", $device_format));  &invalid++; }  &if (( &RD( &q) ==  &info-> &rdq && ! &record_info)) {  &SBERRPRINT( &SBEP_L2,  &SBEM_SPRI, ( &CE_WARN, \\"sbpro_checkprinfo: Changing %s on Play side when \\" \\"open for Record\\", $device_format));  &invalid++; }}";
	}';
	eval 'sub SBEM_IDEN {0x00000001;}';
	eval 'sub SBEM_PROB {0x00000002;}';
	eval 'sub SBEM_ATTA {0x00000004;}';
	eval 'sub SBEM_REST {0x00000008;}';
	eval 'sub SBEM_OPEN {0x00000010;}';
	eval 'sub SBEM_CLOS {0x00000020;}';
	eval 'sub SBEM_WPUT {0x00000100;}';
	eval 'sub SBEM_WSRV {0x00000200;}';
	eval 'sub SBEM_STRT {0x00000400;}';
	eval 'sub SBEM_DCMD {0x00001000;}';
	eval 'sub SBEM_DDAT {0x00002000;}';
	eval 'sub SBEM_DWDA {0x00004000;}';
	eval 'sub SBEM_DRDA {0x00008000;}';
	eval 'sub SBEM_IOCT {0x00010000;}';
	eval 'sub SBEM_IOCD {0x00020000;}';
	eval 'sub SBEM_SPRI {0x00040000;}';
	eval 'sub SBEM_SINF {0x00080000;}';
	eval 'sub SBEM_MIXR {0x00100000;}';
	eval 'sub SBEM_INTR {0x01000000;}';
	eval 'sub SBEM_SSIG {0x02000000;}';
	eval 'sub SBEM_DMA {0x04000000;}';
	eval 'sub SBEM_MODS {0x08000000;}';
	eval 'sub SBEM_ALL {0xFFFFFFFF;}';
    }
    if (defined &__cplusplus) {
    }
}
1;
