if (!defined &_SYS_SIGNAL_H) {
    eval 'sub _SYS_SIGNAL_H {1;}';
    require 'sys/feature_tests.ph';
    require 'sys/unistd.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub SIGHUP {1;}';
    eval 'sub SIGINT {2;}';
    eval 'sub SIGQUIT {3;}';
    eval 'sub SIGILL {4;}';
    eval 'sub SIGTRAP {5;}';
    eval 'sub SIGIOT {6;}';
    eval 'sub SIGABRT {6;}';
    eval 'sub SIGEMT {7;}';
    eval 'sub SIGFPE {8;}';
    eval 'sub SIGKILL {9;}';
    eval 'sub SIGBUS {10;}';
    eval 'sub SIGSEGV {11;}';
    eval 'sub SIGSYS {12;}';
    eval 'sub SIGPIPE {13;}';
    eval 'sub SIGALRM {14;}';
    eval 'sub SIGTERM {15;}';
    eval 'sub SIGUSR1 {16;}';
    eval 'sub SIGUSR2 {17;}';
    eval 'sub SIGCLD {18;}';
    eval 'sub SIGCHLD {18;}';
    eval 'sub SIGPWR {19;}';
    eval 'sub SIGWINCH {20;}';
    eval 'sub SIGURG {21;}';
    eval 'sub SIGPOLL {22;}';
    eval 'sub SIGIO { &SIGPOLL;}';
    eval 'sub SIGSTOP {23;}';
    eval 'sub SIGTSTP {24;}';
    eval 'sub SIGCONT {25;}';
    eval 'sub SIGTTIN {26;}';
    eval 'sub SIGTTOU {27;}';
    eval 'sub SIGVTALRM {28;}';
    eval 'sub SIGPROF {29;}';
    eval 'sub SIGXCPU {30;}';
    eval 'sub SIGXFSZ {31;}';
    eval 'sub SIGWAITING {32;}';
    eval 'sub SIGLWP {33;}';
    eval 'sub SIGFREEZE {34;}';
    eval 'sub SIGTHAW {35;}';
    eval 'sub SIGCANCEL {36;}';
    eval 'sub _SIGRTMIN {37;}';
    eval 'sub _SIGRTMAX {44;}';
    eval 'sub SIGRTMIN { &_sysconf( &_SC_SIGRT_MIN);}';
    eval 'sub SIGRTMAX { &_sysconf( &_SC_SIGRT_MAX);}';
    if (defined( &__cplusplus)) {
	eval 'sub SIG_PF { &SIG_TYP;}';
	eval 'sub SIG_DFL {( &SIG_PF)0;}';
	eval 'sub SIG_ERR {( &SIG_PF)-1;}';
	eval 'sub SIG_IGN {( &SIG_PF)1;}';
	eval 'sub SIG_HOLD {( &SIG_PF)2;}';
    }
    elsif (defined( &lint)) {
	eval 'sub SIG_DFL {( &void(*)())0;}';
	eval 'sub SIG_ERR {( &void(*)())0;}';
	eval 'sub SIG_IGN {( &void (*)())0;}';
	eval 'sub SIG_HOLD {( &void(*)())0;}';
    }
    else {
	eval 'sub SIG_DFL {( &void(*)())0;}';
	eval 'sub SIG_ERR {( &void(*)())-1;}';
	eval 'sub SIG_IGN {( &void (*)())1;}';
	eval 'sub SIG_HOLD {( &void(*)())2;}';
    }
    eval 'sub SIG_BLOCK {1;}';
    eval 'sub SIG_UNBLOCK {2;}';
    eval 'sub SIG_SETMASK {3;}';
    eval 'sub SIGNO_MASK {0xFF;}';
    eval 'sub SIGDEFER {0x100;}';
    eval 'sub SIGHOLD {0x200;}';
    eval 'sub SIGRELSE {0x400;}';
    eval 'sub SIGIGNORE {0x800;}';
    eval 'sub SIGPAUSE {0x1000;}';
    if (defined( &__EXTENSIONS__) || ( &__STDC__ - 0 == 0) || defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE)) {
	if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0) && !defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || ( &_POSIX_C_SOURCE > 2)) {
	    require 'sys/siginfo.ph';
	}
	if (defined &__cplusplus) {
	}
	else {
	}
	if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0) && !defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE)) || ( &_POSIX_C_SOURCE > 2)) {
	}
	eval 'sub sa_handler { &_funcptr. &_handler;}';
	eval 'sub sa_sigaction { &_funcptr. &_sigaction;}';
	eval 'sub SA_NOCLDSTOP {0x00020000;}';
    }
    if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0) && !defined( &_POSIX_C_SOURCE))) {
	eval 'sub SA_ONSTACK {0x00000001;}';
	eval 'sub SA_RESETHAND {0x00000002;}';
	eval 'sub SA_RESTART {0x00000004;}';
    }
    if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0) && !defined( &_POSIX_C_SOURCE)) || ( &_POSIX_C_SOURCE > 2)) {
	eval 'sub SA_SIGINFO {0x00000008;}';
    }
    if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0) && !defined( &_POSIX_C_SOURCE))) {
	eval 'sub SA_NODEFER {0x00000010;}';
	eval 'sub SA_NOCLDWAIT {0x00010000;}';
	eval 'sub SA_WAITSIG {0x00010000;}';
	eval 'sub NSIG {45;}';
	eval 'sub MAXSIG {44;}';
	eval 'sub S_SIGNAL {1;}';
	eval 'sub S_SIGSET {2;}';
	eval 'sub S_SIGACTION {3;}';
	eval 'sub S_NONE {4;}';
	eval 'sub MINSIGSTKSZ {2048;}';
	eval 'sub SIGSTKSZ {8192;}';
	eval 'sub SS_ONSTACK {0x00000001;}';
	eval 'sub SS_DISABLE {0x00000002;}';
    }
    if (defined &_KERNEL) {
	require 'sys/t_lock.ph';
	eval 'sub sigmask {
	    local($n) = @_;
	    eval "(1 << ((($n) - 1) & (32 - 1)))";
	}';
	eval 'sub sigword {
	    local($n) = @_;
	    eval "(((($n) - 1))>>5)";
	}';
	eval 'sub sigemptyset {
	    local($s) = @_;
	    eval "(*($s) =  &nullsmask)";
	}';
	eval 'sub sigfillset {
	    local($s) = @_;
	    eval "(*($s) =  &fillset)";
	}';
	eval 'sub sigaddset {
	    local($s, $n) = @_;
	    eval "(($s)-> &__sigbits[ &sigword($n)] |=  &sigmask($n))";
	}';
	eval 'sub sigdelset {
	    local($s, $n) = @_;
	    eval "(($s)-> &__sigbits[ &sigword($n)] &= ~ &sigmask($n))";
	}';
	eval 'sub sigismember {
	    local($s, $n) = @_;
	    eval "( &sigmask($n) & ($s)-> &__sigbits[ &sigword($n)])";
	}';
	eval 'sub sigisempty {
	    local($s) = @_;
	    eval "(!((($s)-> &__sigbits[0]) | (($s)-> &__sigbits[1])))";
	}';
	eval 'sub sigutok {
	    local($us, $ks) = @_;
	    eval "(($ks)-> &__sigbits[0] = ($us)-> &__sigbits[0], ($ks)-> &__sigbits[1] = ($us)-> &__sigbits[1])";
	}';
	eval 'sub sigktou {
	    local($ks, $us) = @_;
	    eval "(($us)-> &__sigbits[0] = ($ks)-> &__sigbits[0], ($us)-> &__sigbits[1] = ($ks)-> &__sigbits[1], ($us)-> &__sigbits[2] = 0, ($us)-> &__sigbits[3] = 0)";
	}';
	eval 'sub _SIGQUEUE_MAX {32;}';
	if (defined( &__STDC__)) {
	}
	else {
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
