if (!defined &_BSM_AUDIT_KERNEL_H) {
    eval 'sub _BSM_AUDIT_KERNEL_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub S2E_SP {0x001;}';
    eval 'sub S2E_MLD {0x002;}';
    eval 'sub S2E_NPT {0x004;}';
    eval 'sub PAD_SAVPATH {0x00000001;}';
    eval 'sub PAD_MLD {0x00000002;}';
    eval 'sub PAD_NOPATH {0x00000004;}';
    eval 'sub PAD_ABSPATH {0x00000008;}';
    eval 'sub PAD_NOATTRB {0x00000010;}';
    eval 'sub PAD_SUSEROK {0x00000020;}';
    eval 'sub PAD_SUSERNO {0x00000040;}';
    eval 'sub PAD_LFLOAT {0x00000080;}';
    eval 'sub PAD_NOAUDIT {0x00000100;}';
    eval 'sub PAD_PATHFND {0x00000200;}';
    eval 'sub PAD_SPRIV {0x00000400;}';
    eval 'sub PAD_FPRIV {0x00000800;}';
    eval 'sub PAD_SMAC {0x00001000;}';
    eval 'sub PAD_FMAC {0x00002000;}';
    eval 'sub PAD_AUDITME {0x00004000;}';
    eval 'sub PAD_IFLOAT {0x00008000;}';
    eval 'sub PAD_TRUE_CREATE {0x00010000;}';
    eval 'sub PAD_CORE {0x00020000;}';
    eval 'sub P2A {
        local($p) = @_;
        eval "($p-> &p_audit_data)";
    }';
    eval 'sub T2A {
        local($t) = @_;
        eval "($t-> &t_audit_data)";
    }';
    eval 'sub U2A {
        local($u) = @_;
        eval "( &curthread-> &t_audit_data)";
    }';
    eval 'sub F2A {
        local($f) = @_;
        eval "($f-> &f_audit_data)";
    }';
    eval 'sub u_ad {(( &U2A( &u))-> &tad_ad);}';
    eval 'sub ad_ctrl {(( &U2A( &u))-> &tad_ctrl);}';
    eval 'sub ad_flag {(( &U2A( &u))-> &tad_flag);}';
    eval 'sub AU_BUFSIZE {128;}';
    eval 'sub AU_PAGE {32 *  &AU_BUFSIZE;}';
    eval 'sub AU_CNTL {32 * $sizeof{ &au_buff_t};}';
    eval 'sub ONPAGE {32;}';
    eval 'sub AU_MAXMEM {(2048 * 1024);}';
    eval 'sub THREAD_HIT { &au_tlist_stat. &called++;  &au_tlist_stat. &hit++;  &au_tlist_stat. &size--;;}';
    eval 'sub THREAD_MISS { &au_tlist_stat. &called++;  &au_tlist_stat. &miss++;;}';
    eval 'sub THREAD_FREE { &au_tlist_stat. &free++;;}';
    eval 'sub PROC_HIT { &au_plist_stat. &called++;  &au_plist_stat. &hit++;  &au_plist_stat. &size--;;}';
    eval 'sub PROC_MISS { &au_plist_stat. &called++;  &au_plist_stat. &miss++;;}';
    eval 'sub PROC_FREE { &au_plist_stat. &free++;;}';
    eval 'sub FILE_HIT { &au_flist_stat. &called++;  &au_flist_stat. &hit++;  &au_flist_stat. &size--;;}';
    eval 'sub FILE_MISS { &au_flist_stat. &called++;  &au_flist_stat. &miss++;;}';
    eval 'sub FILE_FREE { &au_flist_stat. &free++;;}';
    eval 'sub QUEUE_HIT { &au_mem_stat. &called++;  &au_mem_stat. &hit++;  &au_mem_stat. &size--;;}';
    eval 'sub QUEUE_MISS { &au_mem_stat. &called++;  &au_mem_stat. &miss++;;}';
    eval 'sub QUEUE_FREE { &au_mem_stat. &size++;  &au_mem_stat. &free++;;}';
    eval 'sub TLIST_SIZE {30;;}';
    eval 'sub FLIST_SIZE {30;;}';
    eval 'sub PLIST_SIZE {30;;}';
    if (defined &C2_DEBUG) {
	eval 'sub dprintf {
	    local($a, $f) = @_;
	    eval "{ &if ( &audit_debug & $a)  &printf $f; }";
	}';
	eval 'sub call_debug {
	    local($a) = @_;
	    eval "{ &if ( &c2_debug & $a)  &debug_enter( &NULL); }";
	}';
	eval 'sub ADDTRACE {
	    local($a, $b, $c, $d, $e, $f, $g) = @_;
	    eval " &addtrace($a, $b, $c, $d, $e, $f, $g)";
	}';
    }
    else {
	eval 'sub dprintf {
	    local($a, $f) = @_;
	    eval "";
	}';
	eval 'sub call_debug {
	    local($a) = @_;
	    eval "";
	}';
	eval 'sub ADDTRACE {
	    local($a, $b, $c, $d, $e, $f, $g) = @_;
	    eval "";
	}';
    }
    eval 'sub memtod {
        local($x, $t) = @_;
        eval "(($t)($x-> &buf))";
    }';
    eval 'sub MT_FREE {0;}';
    eval 'sub MT_DATA {1;}';
    eval 'sub DONTWAIT {0;}';
    eval 'sub WAIT {1;}';
    if (defined &_KERNEL) {
    }
    if (defined &__cplusplus) {
    }
}
1;
