if (!defined &_NFS_LM_H) {
    eval 'sub _NFS_LM_H {1;}';
    require 'nfs/lm_nlm.ph';
    require 'sys/mutex.ph';
    require 'sys/thread.ph';
    if (defined &__cplusplus) {
    }
    if (defined &LM_DEBUG_COTS) {
    }
    eval 'sub LM_SYSID {(( &sysid_t)0x0001);}';
    eval 'sub LM_SYSID_MAX {(( &sysid_t)0x3FFF);}';
    eval 'sub LM_SYSID_CLIENT {(( &sysid_t)0x4000);}';
    eval 'sub LM_STATD_DELAY {10;}';
    eval 'sub LM_NO_TIMOUT {0;}';
    eval 'sub LM_GR_TIMOUT {20;}';
    eval 'sub LM_SM_TIMOUT {5;}';
    eval 'sub LM_CR_TIMOUT {20;}';
    eval 'sub LM_RLOCK_SLP {20;}';
    eval 'sub LM_ERROR_SLP {30;}';
    eval 'sub LM_GRACE_SLP {10;}';
    eval 'sub LM_BLOCK_SLP {60;}';
    eval 'sub LM_RETRY {5;}';
    eval 'sub LM_ASYN_RETRY {3;}';
    eval 'sub LM_PMAP_TIMEOUT {15;}';
    eval 'sub LM_GR_RETRY {1;}';
    eval 'sub LM_OH_SYS_LEN {($sizeof{ &lm_owner_handle_sys});}';
    if (defined &_KERNEL) {
	if (defined &DEBUG) {
	}
	eval 'sub lm_zalloc {
	    local($s) = @_;
	    eval "(($s *) &kmem_zalloc($sizeof{$s},  &KM_SLEEP))";
	}';
    }
    else {
	if (defined &__STDC__) {
	}
	else {
	}
    }
    eval 'sub LM_DEBUG {1;}';
    if (defined &LM_DEBUG) {
	eval 'sub lm_debu3 {
	    local($a, $b, $c) = @_;
	    eval " &lm_debug($a, $b, $c, 0, 0, 0, 0, 0, 0, 0)";
	}';
	eval 'sub lm_debu4 {
	    local($a, $b, $c, $d) = @_;
	    eval " &lm_debug($a, $b, $c, $d, 0, 0, 0, 0, 0, 0)";
	}';
	eval 'sub lm_debu5 {
	    local($a, $b, $c, $d, $e) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, 0, 0, 0, 0, 0)";
	}';
	eval 'sub lm_debu6 {
	    local($a, $b, $c, $d, $e, $f) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, $f, 0, 0, 0, 0)";
	}';
	eval 'sub lm_debu7 {
	    local($a, $b, $c, $d, $e, $f, $g) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, $f, $g, 0, 0, 0)";
	}';
	eval 'sub lm_debu8 {
	    local($a, $b, $c, $d, $e, $f, $g, $h) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, $f, $g, $h, 0, 0)";
	}';
	eval 'sub lm_debu9 {
	    local($a, $b, $c, $d, $e, $f, $g, $h, $i) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, $f, $g, $h, $i, 0)";
	}';
	eval 'sub lm_debuA {
	    local($a, $b, $c, $d, $e, $f, $g, $h, $i, $j) = @_;
	    eval " &lm_debug($a, $b, $c, $d, $e, $f, $g, $h, $i, $j)";
	}';
    }
    else {
	eval 'sub lm_debu3 {
	    local($a, $b, $c) = @_;
	    eval "";
	}';
	eval 'sub lm_debu4 {
	    local($a, $b, $c, $d) = @_;
	    eval "";
	}';
	eval 'sub lm_debu5 {
	    local($a, $b, $c, $d, $e) = @_;
	    eval "";
	}';
	eval 'sub lm_debu6 {
	    local($a, $b, $c, $d, $e, $f) = @_;
	    eval "";
	}';
	eval 'sub lm_debu7 {
	    local($a, $b, $c, $d, $e, $f, $g) = @_;
	    eval "";
	}';
	eval 'sub lm_debu8 {
	    local($a, $b, $c, $d, $e, $f, $g, $h) = @_;
	    eval "";
	}';
	eval 'sub lm_debu9 {
	    local($a, $b, $c, $d, $e, $f, $g, $h, $i) = @_;
	    eval "";
	}';
	eval 'sub lm_debuA {
	    local($a, $b, $c, $d, $e, $f, $g, $h, $i, $j) = @_;
	    eval "";
	}';
	eval 'sub lm_alock {
	    local($a, $b, $c) = @_;
	    eval "";
	}';
	eval 'sub lm_d_nsa {
	    local($a, $b, $c) = @_;
	    eval "";
	}';
	eval 'sub lm_n_buf {
	    local($a, $b, $c, $d) = @_;
	    eval "";
	}';
    }
    if (defined &__cplusplus) {
    }
}
1;
