if (!defined &_SYS_FS_UFS_LOCKFS_H) {
    eval 'sub _SYS_FS_UFS_LOCKFS_H {1;}';
    require 'sys/lockfs.ph';
    if (defined &__cplusplus) {
    }
    require 'sys/fs/ufs_trans.ph';
    require 'sys/thread.ph';
    eval 'sub ULOCKFS_BUSY {0x00000001;}';
    eval 'sub ULOCKFS_NOIACC {0x00000004;}';
    eval 'sub ULOCKFS_NOIDEL {0x00000008;}';
    eval 'sub ULOCKFS_IS_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &ul_flag &  &ULOCKFS_BUSY)";
    }';
    eval 'sub ULOCKFS_IS_NOIACC {
        local($LF) = @_;
        eval "(($LF)-> &ul_flag &  &ULOCKFS_NOIACC)";
    }';
    eval 'sub ULOCKFS_IS_NOIDEL {
        local($LF) = @_;
        eval "(($LF)-> &ul_flag &  &ULOCKFS_NOIDEL)";
    }';
    eval 'sub ULOCKFS_CLR_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &ul_flag &= ~ &ULOCKFS_BUSY)";
    }';
    eval 'sub ULOCKFS_SET_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &ul_flag |=  &ULOCKFS_BUSY)";
    }';
    eval 'sub ULOCKFS_SET_MOD {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_mod = 1)";
    }';
    eval 'sub ULOCKFS_CLR_MOD {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_mod = 0)";
    }';
    eval 'sub ULOCKFS_IS_MOD {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_mod)";
    }';
    eval 'sub ULOCKFS_ULOCK {((1 <<  &LOCKFS_ULOCK));}';
    eval 'sub ULOCKFS_WLOCK {((1 <<  &LOCKFS_WLOCK));}';
    eval 'sub ULOCKFS_NLOCK {((1 <<  &LOCKFS_NLOCK));}';
    eval 'sub ULOCKFS_DLOCK {((1 <<  &LOCKFS_DLOCK));}';
    eval 'sub ULOCKFS_HLOCK {((1 <<  &LOCKFS_HLOCK));}';
    eval 'sub ULOCKFS_ELOCK {((1 <<  &LOCKFS_ELOCK));}';
    eval 'sub ULOCKFS_ROELOCK {((1 <<  &LOCKFS_ROELOCK));}';
    eval 'sub ULOCKFS_SLOCK {0x80000000;}';
    eval 'sub ULOCKFS_IS_WLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_WLOCK)";
    }';
    eval 'sub ULOCKFS_IS_HLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_HLOCK)";
    }';
    eval 'sub ULOCKFS_IS_ELOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_ELOCK)";
    }';
    eval 'sub ULOCKFS_IS_ROELOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_ROELOCK)";
    }';
    eval 'sub ULOCKFS_IS_ULOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_ULOCK)";
    }';
    eval 'sub ULOCKFS_IS_NLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_NLOCK)";
    }';
    eval 'sub ULOCKFS_IS_DLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_DLOCK)";
    }';
    eval 'sub ULOCKFS_IS_SLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &  &ULOCKFS_SLOCK)";
    }';
    eval 'sub ULOCKFS_IS_JUSTULOCK {
        local($LF) = @_;
        eval "((($LF)-> &ul_fs_lock & ( &ULOCKFS_SLOCK |  &ULOCKFS_ULOCK)) ==  &ULOCKFS_ULOCK)";
    }';
    eval 'sub ULOCKFS_SET_SLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock |=  &ULOCKFS_SLOCK)";
    }';
    eval 'sub ULOCKFS_CLR_SLOCK {
        local($LF) = @_;
        eval "(($LF)-> &ul_fs_lock &= ~ &ULOCKFS_SLOCK)";
    }';
    eval 'sub ULOCKFS_READ_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_WRITE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_GETATTR_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_SETATTR_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_ACCESS_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_LOOKUP_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_CREATE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_REMOVE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK |  &ULOCKFS_NLOCK |  &ULOCKFS_DLOCK);}';
    eval 'sub ULOCKFS_LINK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_RENAME_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_NLOCK);}';
    eval 'sub ULOCKFS_MKDIR_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_RMDIR_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK |  &ULOCKFS_NLOCK |  &ULOCKFS_DLOCK);}';
    eval 'sub ULOCKFS_READDIR_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_SYMLINK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_READLINK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_FSYNC_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_FID_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_RWLOCK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_RWUNLOCK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_SEEK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_FRLOCK_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_SPACE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_QUOTA_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_GETREAD_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_GETWRITE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_MAP_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_FIOAI_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_FIODUTIMES_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_FIODIO_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub ULOCKFS_FIODIOS_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_PATHCONF_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_VGET_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_SLOCK);}';
    eval 'sub ULOCKFS_DELETE_MASK {( &ULOCKFS_HLOCK |  &ULOCKFS_ELOCK |  &ULOCKFS_ROELOCK |  &ULOCKFS_SLOCK |  &ULOCKFS_WLOCK);}';
    eval 'sub VTOUL {
        local($VP) = @_;
        eval "( &((($VP)-> &v_vfsp-> &vfs_data))-> &vfs_ulockfs)";
    }';
    eval 'sub ITOUL {
        local($IP) = @_;
        eval "( &(($IP)-> &i_ufsvfs-> &vfs_ulockfs))";
    }';
    if (defined &__cplusplus) {
    }
}
1;
