if (!defined &_SYS_MODCTL_H) {
    eval 'sub _SYS_MODCTL_H {1;}';
    require 'sys/types.ph';
    require 'sys/ioccom.ph';
    require 'sys/nexusdefs.ph';
    require 'sys/thread.ph';
    require 'sys/t_lock.ph';
    if (defined &__cplusplus) {
    }
    if (defined &_KERNEL) {
    }
    eval 'sub MODREV_1 {1;}';
    eval 'sub MODLOAD {0;}';
    eval 'sub MODUNLOAD {1;}';
    eval 'sub MODINFO {2;}';
    eval 'sub MODRESERVED {3;}';
    eval 'sub MODCONFIG {4;}';
    eval 'sub MODADDMAJBIND {5;}';
    eval 'sub MODGETPATH {6;}';
    eval 'sub MODREADSYSBIND {7;}';
    eval 'sub MODGETMAJBIND {8;}';
    eval 'sub MODGETNAME {9;}';
    eval 'sub MOD_MAXPATH {256;}';
    eval 'sub MOD_DEFPATH {"/kernel /usr/kernel";}';
    eval 'sub MOD_DEFEXT {"";}';
    eval 'sub MODMAXNAMELEN {32;}';
    eval 'sub MODMAXLINKINFOLEN {32;}';
    eval 'sub MODMAXLINK {10;}';
    eval 'sub MI_INFO_ONE {1;}';
    eval 'sub MI_INFO_ALL {2;}';
    eval 'sub MI_INFO_CNT {4;}';
    eval 'sub MI_LOADED {1;}';
    eval 'sub MI_INSTALLED {2;}';
    eval 'sub MODL_INSTALL {
        local($MODL, $MODLP) = @_;
        eval "(*($MODL)-> &misc_modops-> &modm_install)($MODL, $MODLP)";
    }';
    eval 'sub MODL_REMOVE {
        local($MODL, $MODLP) = @_;
        eval "(*($MODL)-> &misc_modops-> &modm_remove)($MODL, $MODLP)";
    }';
    eval 'sub MODL_INFO {
        local($MODL, $MODLP, $P0) = @_;
        eval "(*($MODL)-> &misc_modops-> &modm_info)($MODL, $MODLP, $P0)";
    }';
    eval 'sub MOD_NOAUTOUNLOAD {0x1;}';
    eval 'sub MOD_PACKED {0x2;}';
    if (defined &_KERNEL) {
	require 'sys/varargs.ph';
    }
    eval 'sub MODDEBUG_LOADMSG {0x80000000;}';
    eval 'sub MODDEBUG_ERRMSG {0x40000000;}';
    eval 'sub MODDEBUG_LOADMSG2 {0x20000000;}';
    eval 'sub MODDEBUG_NOPACK {0x00002000;}';
    eval 'sub MODDEBUG_NOAUL_DRV {0x00001000;}';
    eval 'sub MODDEBUG_NOAUL_EXEC {0x00000800;}';
    eval 'sub MODDEBUG_NOAUL_FS {0x00000400;}';
    eval 'sub MODDEBUG_NOAUL_MISC {0x00000200;}';
    eval 'sub MODDEBUG_NOAUL_SCHED {0x00000100;}';
    eval 'sub MODDEBUG_NOAUL_STR {0x00000080;}';
    eval 'sub MODDEBUG_NOAUL_SYS {0x00000040;}';
    eval 'sub MODDEBUG_NOSYMS {0x00000020;}';
    eval 'sub MODDEBUG_NOAUTOUNLOAD {0x00000010;}';
    eval 'sub MODDEBUG_UNLOCKSYMBOLS {0x00000008;}';
    eval 'sub MODDEBUG_LOCKSYMBOLS {0x00000004;}';
    eval 'sub MODDEBUG_STUBBPT {0x00000002;}';
    eval 'sub MODDEBUG_USERDEBUG {0x00000001;}';
    if (defined &__cplusplus) {
    }
}
1;
