if (!defined &_SYS_MUTEX_IMPL_H) {
    eval 'sub _SYS_MUTEX_IMPL_H {1;}';
    if (!defined &_ASM) {
	require 'sys/types.ph';
	require 'sys/machlock.ph';
	require 'sys/turnstile.ph';
	require 'sys/dki_lkinfo.ph';
    }
    if (defined &__cplusplus) {
    }
    if (!defined &_ASM) {
	eval 'sub MUTEX_OWNER_PTR {
	    local($owner_lock) = @_;
	    eval "(($owner_lock) |  &PTR24_BASE)";
	}';
	eval 'sub MUTEX_OWNER_LOCK {
	    local($lp) = @_;
	    eval "((($lp))-> &m_owner_lock)";
	}';
	eval 'sub MUTEX_PTR {
	    local($lp) = @_;
	    eval " &MUTEX_OWNER_PTR( &MUTEX_OWNER_LOCK($lp))";
	}';
	eval 'sub MUTEX_OWNER {
	    local($lp) = @_;
	    eval "(( &kthread_id_t) &MUTEX_PTR($lp))";
	}';
	eval 'sub MUTEX_NO_OWNER {(( &kthread_id_t) &PTR24_BASE);}';
	eval 'sub MUTEX_STATS_SET {
	    local($lp, $ptr) = @_;
	    eval "(($lp)-> &m_stats. &m_stats_lock = ($ptr))";
	}';
	eval 'sub MUTEX_NO_STATS {( &PTR24_BASE);}';
	eval 'sub MUTEX_STATS {
	    local($lp) = @_;
	    eval "( &MUTEX_PTR($lp))";
	}';
	eval 'sub MUTEX_ADAPTIVE_HELD {0x1;}';
	eval 'sub LOCK_NAME_LEN {18;}';
	eval 'sub MSTAT_STARTUP_ALLOC {1;}';
    }
    if (defined &__cplusplus) {
    }
}
1;
